package com.ssj.service.conch.conch.padrequest;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.NotBlank;

/**
 * @author yangcan
 * 类描述:初始化上传信鸽token信息 入参
 * 创建时间:2019/11/6 19:13
 */
public class PadInitInfoRequest extends BaseRequest {
	
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(name = "platform", value = "信鸽推送平台(ANDROID,IOS)", required = true)
	@NotBlank
    private String platform;

	@ApiModelProperty(name = "padCode", value = "pad唯一设备码", required = true)
	@NotBlank
    private String padCode;

	@ApiModelProperty(name = "xingeToken", value = "信鸽token", required = true)
	@NotBlank
	private String xingeToken;

	public String getPlatform() {
		return platform;
	}

	public void setPlatform(String platform) {
		this.platform = platform;
	}

	public String getPadCode() {
		return padCode;
	}

	public void setPadCode(String padCode) {
		this.padCode = padCode;
	}

	public String getXingeToken() {
		return xingeToken;
	}

	public void setXingeToken(String xingeToken) {
		this.xingeToken = xingeToken;
	}
}
